import request from '@/utils/request'

export function handleTurnDownPump(data) {
  return request({
    url: '/pssr/overhaulPump/turnDownPump',
    method: 'put',
    data: data
  })
}
// 查询检修项目-泵列表
export function listOverhaulPump(query) {
  return request({
    url: '/pssr/overhaulPump/list',
    method: 'get',
    params: query
  })
}

// 查询检修项目-泵详细
export function getOverhaulPump(id) {
  return request({
    url: '/pssr/overhaulPump/' + id,
    method: 'get'
  })
}

// 新增检修项目-泵
export function addOverhaulPump(data) {
  return request({
    url: '/pssr/overhaulPump',
    method: 'post',
    data: data
  })
}

// 修改检修项目-泵
export function updateOverhaulPump(data) {
  return request({
    url: '/pssr/overhaulPump',
    method: 'put',
    data: data
  })
}

//
export function updateOverhaulPumpBatch(data) {
  return request({
    url: '/pssr/overhaulPump/editBatch',
    method: 'put',
    data: data
  })
}


// 确认检修项目-泵
export function handleConfirmApprove(data) {
  return request({
    url: '/pssr/overhaulPump/confirmPump',
    method: 'put',
    data: data
  })
}

// 删除检修项目-泵
export function delOverhaulPump(id) {
  return request({
    url: '/pssr/overhaulPump/' + id,
    method: 'delete'
  })
}

// 导出检修项目-泵
export function exportOverhaulPump(query) {
  return request({
    url: '/pssr/overhaulPump/export',
    method: 'get',
    params: query
  })
}
